/* sm */
@media (width >= 640px) {
    .container {
        padding: 0;
    }

    .hero-grid .chips {
        margin-bottom: 6rem;
    }

    .hero-heading-1,
    .hero-heading-2 {
        font-size: 45px;
    }

    .section-heading {
        font-size: 30px;
        line-height: 35px;
    }

    #services .container {
        border-radius: 30px;
    }

    #services .services-wrapper {
        margin: 0;
        padding: 40px 60px;
        border-radius: 30px;
    }

    .service {
        padding: 25px;
    }

    .service-head .service-price {
        font-size: 18px;
    }

    .service h3 {
        font-size: 25px;
    }

    .service p {
        font-size: 16px;
    }

    .about-video .decor-block {
        --borad: 15px;
        width: 50px;
        height: 100px;
    }

    #technologies .container {
        --padding-x: 60px;
        padding: 40px var(--padding-x);
        border-radius: 30px;
    }

    .case .btn-wrapper {
        width: 90px;
        height: 90px;
    }

    .case .case-head {
        --borad: 30px;
    }

    #reviews .container {
        --padding-x: 60px;
        padding: 60px var(--padding-x);
        /*padding: 40px 0;*/
        border-radius: 30px;
    }

    #process .container {
        padding: 30px 60px;
        border-radius: 30px;
    }

    .reviews-head {
        /*--padding-x: 60px;*/
        /*padding: 0 var(--padding-x);*/
    }

    .brief-blocks {
        gap: 2rem;
    }

    .brief-block {
        padding: 40px;
        border-radius: 30px;
    }

    #footer .container {
        padding: 40px 60px;
        border-radius: 30px;
        margin-bottom: 2.5rem;
    }

    #cookie-banner {
        font-size: 16px;
    }
    /*.quiz-wrapper*/
    #brief-quiz {
        padding: 40px 60px;
        border-radius: 30px;
    }
    .quiz-controls {
        padding: 1.5rem 60px;
    }

    .process-step {
        padding: 40px;
        border-radius: 30px;
    }

    .process-content {
        margin-bottom: 2rem;
        gap: 2rem;
    }

    .btn-link {
        padding: 5px 5px 5px 20px;
    }

    .btn-link::after {
        width: 35px;
        height: 35px;
    }

    .btn {
        padding: 1rem;
    }

    .faq-list {
        border-radius: 30px;
    }

    #cookie-banner {
        bottom: 2rem;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        gap: 2rem;
        max-width: calc(100% - 2rem);
        max-height: 8rem;
        font-size: 14px;
        padding: 1.5rem;
        border-radius: 15px;
        border-top: none;
    }
}

/* md */
@media (width >= 768px) {
    .hero-heading-1,
    .hero-heading-2 {
        font-size: 55px;
        text-align: left;
    }

    #services .container {
        --bingus-x: 245px;
        --dingus-y: 97px;
    }

    #btn-down {
         padding: 30px;
    }

    #btn-down img {
        width: 42px;
        height: 42px;
    }

    .section-heading {
        font-size: 40px;
        line-height: 50px;
    }

    #services .services-wrapper {
        padding: 60px 80px;
    }

    .services-head p {
        font-size: 16px;
    }

    .about-head {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 1.5rem;
        align-items: center;
        margin-bottom: 4rem;
    }

    .about-head .section-heading {
        grid-row-start: 2;
        grid-row-end: 3;
        grid-column-start: 1;
        grid-column-end: 3;
    }

    .about-head p {
        max-width: 400px;
        text-align: right;
        justify-self: end;
        grid-row-start: 1;
        grid-row-end: 2;
        grid-column-start: 2;
        grid-column-end: 3;
    }

    .about-content .block-text p {
        font-size: 16px;
    }

    .about-video .decor-block {
        --borad: 15px;
        width: 75px;
        height: 150px;
    }

    #technologies .container {
        --padding-x: 80px;
        padding: 60px var(--padding-x);
    }

    .technologies-head {
        margin-bottom: 2rem;
    }

    .technologies-head {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 1.5rem;
        align-items: center;
        margin-bottom: 2rem;
    }

    .technologies-head .section-heading {
        grid-row-start: 2;
        grid-row-end: 3;
        grid-column-start: 1;
        grid-column-end: 3;
    }

    .technologies-head p {
        text-align: left;
        grid-row-start: 3;
        grid-row-end: 4;
        grid-column-start: 1;
        grid-column-end: 3;
    }

    .technologies-head .btn-link {
        justify-self: end;
        grid-row-start: 1;
        grid-row-end: 2;
        grid-column-start: 2;
        grid-column-end: 3;
    }

    .tech-marquee {
        gap: 2rem;
        padding: .75rem 0 .75rem 2rem;
    }

    .tech {
        width: 100px;
        height: 100px;
        padding: 15px;
    }

    .tech img {
        width: 70px;
        height: 70px;
    }

    .portfolio-head {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 1.5rem;
        align-items: center;
        margin-bottom: 4rem;
    }

    .portfolio-head .section-heading {
        grid-row-start: 2;
        grid-row-end: 3;
        grid-column-start: 1;
        grid-column-end: 2;
    }

    .portfolio-head p {
        max-width: 400px;
        text-align: right;
        justify-self: end;
        grid-row-start: 1;
        grid-row-end: 2;
        grid-column-start: 2;
        grid-column-end: 3;
    }

    .case {
        display: flex;
        flex-direction: column;
        gap: 1rem;
        margin-bottom: 2rem;
    }

    .case:nth-child(2n) {
        margin-top: -6rem;
    }

    #reviews .container {
        --padding-x: 80px;
        padding: 80px var(--padding-x);
        /*padding: 60px 0;*/
    }

    .reviews-head {
        /*--padding-x: 80px;*/
        /*padding: 0 var(--padding-x);*/
        margin-bottom: 3rem
    }

    .review {
        width: 650px;
        padding: 70px;
        padding-bottom: 50px;
    }

    .review p {
        font-size: 20px;
        margin-bottom: 2rem;
    }

    .review p::before {
        top: -2.5rem;
        left: -2.5rem;
        width: 50px;
        height: 50px;
        background-size: 50px 50px;
    }

    .review cite {
        /*display: grid;*/
        /*grid-template-columns: 1fr max-content;*/
        /*column-gap: 1rem;*/
    }

    .review cite b {
        font-size: 18px;
    }

    .review cite small {
        font-size: 16px;
    }

    .review cite .btn-review-link {
        justify-self: end;
        grid-row-start: 1;
        grid-row-end: 3;
        grid-column-start: 2;
        grid-column-end: 3;
        display: flex;
        align-items: center;
        justify-content: center;
        gap: .5rem;
        width: 50px;
        height: 50px;
        font-size: 16px;
        font-weight: 600;
        border-radius: 99px;
        background: #EA232A;
        border: 1px solid #EA232A;
        transition: background .2s, color .2s;
    }

    .brief-head {
        grid-template-columns: 1fr 1fr;
        gap: 1.5rem;
        align-items: center;
        margin-bottom: 4rem;
    }

    .brief-head .section-heading {
        grid-row-start: 2;
        grid-row-end: 3;
        grid-column-start: 1;
        grid-column-end: 2;
    }

    .brief-head p {
        max-width: 400px;
        text-align: right;
        justify-self: end;
        grid-row-start: 1;
        grid-row-end: 2;
        grid-column-start: 2;
        grid-column-end: 3;
    }

    /*.brief-blocks {*/
    /*    display: grid;*/
    /*    grid-template-columns: 1fr;*/
    /*}*/


    .brief-blocks {
        grid-template-columns: 1fr 1fr;
    }

    .brief-block {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        gap: 1rem;
        padding: 20px;
        border-radius: 30px;
    }

    .brief-form {
        grid-template-columns: 1fr 1fr;
    }

    .brief-block.block-send {
        grid-column: 1 / 3;
        grid-row: 2 / 3;
    }

    .brief-form {
        grid-template-columns: 1fr;
    }

    #footer .container {
        padding: 60px 80px;
    }
    /*.quiz-wrapper*/
    #brief-quiz  {
        padding: 60px 80px;
    }

    #process .container {
        padding: 60px 80px;
    }

    .quiz-controls {
        padding: 1.5rem 80px;
    }

    .process-content {
        display: grid;
        grid-template-columns: repeat(12, 1fr);
        gap: 3rem;
    }

    .step-1 {
        grid-column: 1 / 7;
        grid-row: 1 / 2;
    }

    .step-2 {
        grid-column: 7 / 13;
        grid-row: 1 / 2;
    }

    .step-3 {
        grid-column: 7 / 13;
        grid-row: 2 / 3;
    }

    .step-4 {
        grid-column: 1 / 7;
        grid-row: 2 / 3;
    }

    .step-5 {
        grid-column: 1 / 7;
        grid-row: 3 / 4;
    }

    .step-6 {
        grid-column: 7 / 13;
        grid-row: 3 / 4;
    }

    .process-arrow {
        display: grid;
        place-items: center;
        min-width: 50px;
    }

    .arrow-left {
        right: 100%;
        top: 50%;
        transform: translate(0, -50%);
    }

    .arrow-right {
        left: 100%;
        top: 50%;
        transform: translate(0, -50%);
    }

    .arrow-down {
        bottom: -42px;
        left: 50%;
        transform: translateX(-50%);
    }

    .step-2 .arrow-right,
    .step-3 .arrow-down,
    .step-4 .arrow-left,
    .step-5 .arrow-left {
        display: none;
    }

    .process-step {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        gap: 1rem;
        max-width: 470px;
        padding: 20px;
        border-radius: 30px;
    }

}

/* lg */
@media (width >= 1024px) {
    body {
        background: #F3F5F7 url("/assets/img/bg-logo.png") no-repeat top right;
    }

    .chip {
        font-size: 16px;
    }

    .btn-link,
    .btn-icon-link,
    .btn {
        font-size: 16px;
    }

    .btn-link {
        padding: 7px 7px 7px 25px;
    }

    .btn-link::after {
        width: 40px;
        height: 40px;
    }

    .btn-link.secondary {
        padding: 15px 25px 15px 25px;
    }


    .about-head .section-heading {
        grid-row-start: 2;
        grid-row-end: 3;
        grid-column-start: 1;
        grid-column-end: 2;
    }

    #services .services-wrapper {
        padding: 100px 140px;
    }

    .services-head {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 1.5rem;
        align-items: center;
        margin-bottom: 4rem;
    }

    .services-head .section-heading {
        grid-row-start: 2;
        grid-row-end: 3;
        grid-column-start: 1;
        grid-column-end: 2;
    }

    .services-head p {
        max-width: 400px;
        text-align: right;
        justify-self: end;
        grid-row-start: 1;
        grid-row-end: 2;
        grid-column-start: 2;
        grid-column-end: 3;
    }

    .services-head .btn-link {
        justify-self: end;
        grid-row-start: 2;
        grid-row-end: 3;
        grid-column-start: 2;
        grid-column-end: 3;
    }

    .about-video .decor-block {
        --borad: 15px;
        width: 50px;
        height: 100px;
    }

    #technologies .container {
        --padding-x: 140px;
        padding: 100px var(--padding-x);
    }

    .technologies-head {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 1.5rem;
        align-items: center;
        margin-bottom: 4rem;
    }

    .technologies-head .section-heading {
        grid-row-start: 2;
        grid-row-end: 3;
        grid-column-start: 1;
        grid-column-end: 2;
    }

    .technologies-head p {
        max-width: 400px;
        text-align: right;
        justify-self: end;
        grid-row-start: 1;
        grid-row-end: 2;
        grid-column-start: 2;
        grid-column-end: 3;
    }

    .technologies-head .btn-link {
        justify-self: end;
        grid-row-start: 2;
        grid-row-end: 3;
        grid-column-start: 2;
        grid-column-end: 3;
    }


    #reviews .container {
        --padding-x: 140px;
        padding: 140px var(--padding-x);
        /*padding: 100px 0;*/
    }

    #process .container {
        padding: 80px 140px;
    }


    .case h3 {
        font-size: 25px;
    }

    .case .case-head img {
        min-height: 430px;
    }

    .reviews-head {
        /* паддинги только сюда*/
        /*--padding-x: 140px;*/
        /*padding: 0 var(--padding-x);*/
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 1.5rem;
        align-items: center;
        margin-bottom: 4rem;
    }

    .reviews-head .section-heading {
        grid-row-start: 2;
        grid-row-end: 3;
        grid-column-start: 1;
        grid-column-end: 2;
    }

    .reviews-head p {
        max-width: 400px;
        text-align: right;
        justify-self: end;
        grid-row-start: 1;
        grid-row-end: 2;
        grid-column-start: 2;
        grid-column-end: 3;
    }

    .reviews-head .btn-link {
        justify-self: end;
        grid-row-start: 2;
        grid-row-end: 3;
        grid-column-start: 2;
        grid-column-end: 3;
    }

    .brief-form {
        grid-template-columns: 1fr 1fr;
    }

    .form-line {
        grid-template-columns: repeat(3, 1fr);
    }
    .form-line.electric-boogaloo {
        grid-template-columns: repeat(2, 1fr);
    }

    .process-content {
        gap: 4rem;
    }

    .arrow-left {
        transform: translate(-20%, -50%);
    }

    .arrow-right {
        transform: translate(0%, -50%);
    }

    .arrow-down {
        bottom: -50px;
        left: 50%;
        transform: translateX(-50%);
    }

    .input-error-wrapper .error-message {
        opacity: 0;
    }

    .input-error-wrapper .error-icon:hover + .error-message {
        opacity: 1;
    }
}

/* xl */
@media (width >= 1280px) {
    .hero-heading-1,
    .hero-heading-2 {
        font-size: 70px;
    }

    .hero-grid {
        display: grid;
        grid-template-columns: repeat(12, 1fr);
    }

    .hero-grid .hero-heading-1 {
        grid-column-start: 1;
        grid-column-end: 13;
    }

    .hero-grid .hero-heading-2 {
        justify-self: end;
        grid-row-start: 2;
        grid-row-end: 3;
        grid-column-start: 4;
        grid-column-end: 13;
    }

    .hero-grid .chips {
        margin-bottom: 0;
        grid-row-start: 2;
        grid-row-end: 3;
        grid-column-start: 1;
        grid-column-end: 4;
    }

    .about-content {
        bottom: 120px;
        flex-direction: row;
    }

    .about-content .block-text {
        margin-top: 6rem;
        max-width: 600px;
    }

    .about-video .decor-block {
        --borad: 15px;
        width: 75px;
        height: 150px;
    }

    .brief-blocks {
        grid-template-columns: 1fr 2fr 1fr;
    }

    .brief-block.block-send {
        grid-column: 2 / 3;
        grid-row: 1 / 2;
    }
    .quiz-wrapper {
        grid-template-columns: max-content 1fr;
    }

    .quiz-nav {
        position: sticky;
        top: 120px;
        width: 100%;
    }


    .process-content {
        grid-template-columns: 1fr 1fr 1fr;
        margin-bottom: 5rem;
        column-gap: 6rem;
        row-gap: 6rem;
    }

    .step-1 {
        grid-column: 1 / 2;
        grid-row: 1 / 2;
    }

    .step-2 {
        grid-column: 2 / 3;
        grid-row: 1 / 2;
    }

    .step-3 {
        grid-column: 3 / 4;
        grid-row: 1 / 2;
    }

    .step-4 {
        grid-column: 3 / 4;
        grid-row: 2 / 3;
    }

    .step-5 {
        grid-column: 2 / 3;
        grid-row: 2 / 3;
    }

    .step-6 {
        grid-column: 1 / 2;
        grid-row: 2 / 3;
    }

    .step-2 .arrow-down,
    .step-3 .arrow-right,
    .step-3 .arrow-left,
    .step-5 .arrow-right,
    .step-4 .arrow-down {
        display: none;
    }

    .step-2 .arrow-right,
    .step-3 .arrow-down,
    .step-4 .arrow-left,
    .step-5 .arrow-left {
        display: grid;
    }

    .arrow-left {
        right: 100%;
        top: 50%;
        transform: translate(-50%, -50%);
    }

    .arrow-right {
        left: 100%;
        top: 50%;
        transform: translate(50%, -50%);
    }

    .arrow-down {
        bottom: -69px;
        left: 50%;
        transform: translateX(-50%);
    }

    .process-step {
        height: 247px;
    }
}

/* 2xl */
@media (width >= 1536px) {

    /*.container {*/
    /*    padding: 0;*/
    /*}*/

    .about-video .decor-block {
        --borad: 15px;
        width: 100px;
        height: 200px;
    }

    .hero-heading-1,
    .hero-heading-2 {
        font-size: 92px;
    }

    .about-content {
        column-gap: 8rem;
    }

    .process-step {
        height: 180px;
    }

}

@media (height <= 800px) {
    section.hero {
        height: 100dvh;
    }
}
